Bug 32842 - Integrate libcloud into UVMM
Integrate libcloud into UVMM
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Virtualization - UVMM
UCS 4.0
Other Linux
: P5 enhancement (vote)
: UCS 4.0
Assigned To: Erik Damrose
Stefan Gohmann
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-11 10:40 CEST by Sönke Schwardt-Krummrich
Modified: 2014-11-26 06:54 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Release Goal
Max CVSS v3 score:


Attachments
uvmm.png (63.42 KB, image/png)
2014-10-06 13:46 CEST, Stefan Gohmann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sönke Schwardt-Krummrich univentionstaff 2013-10-11 10:40:48 CEST
UVMM should be able to use Amazon EC2.
Comment 1 Stefan Gohmann univentionstaff 2014-08-20 10:10:23 CEST
and OpenStack ...
Comment 2 Erik Damrose univentionstaff 2014-10-01 16:21:54 CEST
UVMM-libcloud integration is ready for interim-2 testing.
univention-virtual-machine-manager-daemon 4.0.0-21

Further issues will be tracked in seperate bugs.
Comment 3 Stefan Gohmann univentionstaff 2014-10-06 13:45:54 CEST
Some issues:

* "Register a new cloud connection service account." → I think create is better than register.

* I wasn't able to create a new OpenStack connection, see screenshot.

* The password fields should be show * instead of the real passwords.
Comment 4 Stefan Gohmann univentionstaff 2014-10-06 13:46:10 CEST
Created attachment 6145 [details]
uvmm.png
Comment 5 Erik Damrose univentionstaff 2014-10-06 17:42:57 CEST
(In reply to Stefan Gohmann from comment #3)
> * "Register a new cloud connection service account." → I think create is
> better than register.
Changed text to 'create'

> * I wasn't able to create a new OpenStack connection, see screenshot.
Fixed, creating new connections is now possible

> * The password fields should be show * instead of the real passwords.
Fixed; Uses PasswordBox

univention-virtual-machine-manager-daemon 4.0.0-24.519.201410061728
Comment 6 Stefan Gohmann univentionstaff 2014-10-08 09:06:45 CEST
OK, it looks better. I've added our tech EC2 account to our EC2 demo (54.74.101.247). But I'm unable to create a new instance. The key pair drop down box is empty and security group drop down is empty too.
Comment 7 Erik Damrose univentionstaff 2014-10-08 10:18:51 CEST
I just tried it myself and both dropdowns were filled with values. I could successfully create and start an instance.

The backend probably was not finished loading the missing data. I created bug 36093 for that.
Comment 8 Stefan Gohmann univentionstaff 2014-10-11 08:37:34 CEST
OK, it looks good so far. I've created for several points which could be improved separate bugs:

 Bug #36132: First start of UVMM without any domain virtualization server
 Bug #36133: Make new cloud to the default if no connection is available
 Bug #36134: Test cloud connection before creating
 Bug #36135: No feedback if connection failed
 Bug #36136: Debug / support via log file
 Bug #36137: Adjust the ini file for UVMM
 Bug #36138: Default displayed type
 Bug #36139: Modify cloud connection through UVMM
 Bug #36140: Feedback during the first cloud connection
 Bug #36141: VPC support for EC2
 Bug #36142: 'Only show Univention images' position
 Bug #36143: UVMM EC2 text adjustments
 Bug #36144: Instance not available after creation
 Bug #36145: Unknown image
 Bug #36146: UVMM icons

Re-open this bug because a changelog entry is missing.
Comment 9 Erik Damrose univentionstaff 2014-10-16 16:48:15 CEST
r54546 Changelog
Comment 10 Stefan Gohmann univentionstaff 2014-10-17 07:30:19 CEST
(In reply to Erik Damrose from comment #9)
> r54546 Changelog

You have added bugs which aren't fixed yet. Please add only fixed bugs.

An additional comment for every sub bug is no required. See for example the Debian Installer bug or the package updates.
Comment 11 Stefan Gohmann univentionstaff 2014-10-19 19:52:45 CEST
Move all unfinished MS1 and MS2 bugs to RC.
Comment 12 Erik Damrose univentionstaff 2014-10-23 10:43:31 CEST
r54853 Only list verified Bugs
Comment 13 Stefan Gohmann univentionstaff 2014-10-31 09:39:55 CET
(In reply to Erik Damrose from comment #12)
> r54853 Only list verified Bugs

OK
Comment 14 Stefan Gohmann univentionstaff 2014-11-26 06:54:51 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".